## visad
Interface RemoteServer

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RemoteServerImpl

public interface RemoteServer
extends Remote

RemoteServer is the interface for serving RemoteDataReferences. A RemoteServerImpl should be bound to a URL via Naming.rebind, and accessed remotely via this RemoteServer interface.

Method Summary
`void` `addDataReference(RemoteDataReferenceImpl ref)` add a new RemoteDataReferenceImpl to server and extend array
`void` `addDisplay(RemoteDisplayImpl rd)` add a new RemoteDisplayImpl to server and extend array
`RemoteDataReference` `getDataReference(int index)` return the RemoteDataReference with index on this RemoteServer, or null
`RemoteDataReference` `getDataReference(String name)` return the RemoteDataReference with name on this RemoteServer, or null
`RemoteDataReference[]` `getDataReferences()` return an array of all RemoteDataReferences on this RemoteServer, or null
`RemoteDisplay` `getDisplay(int index)` get a RemoteDisplay by index
`RemoteDisplay` `getDisplay(String name)` get a RemoteDisplay by name
`RemoteDisplay[]` `getDisplays()` return array of all RemoteDisplays in this RemoteServer
`void` `removeDataReference(RemoteDataReferenceImpl ref)` remove a RemoteDataReferenceImpl from server and shrink size of array
`void` `removeDisplay(RemoteDisplayImpl rd)` remove a RemoteDisplayImpl from server and shrink size of array
`void` `setDataReferences(RemoteDataReferenceImpl[] rs)` set array of all RemoteDataReferences on this RemoteServer
`void` `setDisplays(RemoteDisplayImpl[] rd)` set all RemoteDisplayImpls to serve

Method Detail

### getDataReference

    public RemoteDataReference getDataReference(int index)
                                         throws RemoteException

  return the RemoteDataReference with index on this RemoteServer, or null

  Throws:
    `RemoteException`

### getDataReference

    public RemoteDataReference getDataReference(String name)
                                         throws VisADException,
                                                RemoteException

  return the RemoteDataReference with name on this RemoteServer, or null

  Throws:
    `VisADException`
    `RemoteException`

### getDataReferences

    public RemoteDataReference[] getDataReferences()
                                            throws RemoteException

  return an array of all RemoteDataReferences on this RemoteServer, or null

  Throws:
    `RemoteException`

### addDataReference

    public void addDataReference(RemoteDataReferenceImpl ref)
                          throws RemoteException

  add a new RemoteDataReferenceImpl to server and extend array

  Throws:
    `RemoteException`

### setDataReferences

    public void setDataReferences(RemoteDataReferenceImpl[] rs)
                           throws RemoteException

  set array of all RemoteDataReferences on this RemoteServer

  Throws:
    `RemoteException`

### removeDataReference

    public void removeDataReference(RemoteDataReferenceImpl ref)
                             throws RemoteException

  remove a RemoteDataReferenceImpl from server and shrink size of array

  Throws:
    `RemoteException`

### getDisplays

    public RemoteDisplay[] getDisplays()
                                throws RemoteException

  return array of all RemoteDisplays in this RemoteServer

  Throws:
    `RemoteException`

### getDisplay

    public RemoteDisplay getDisplay(int index)
                             throws RemoteException

  get a RemoteDisplay by index

  Throws:
    `RemoteException`

### getDisplay

    public RemoteDisplay getDisplay(String name)
                             throws VisADException,
                                    RemoteException

  get a RemoteDisplay by name

  Throws:
    `VisADException`
    `RemoteException`

### addDisplay

    public void addDisplay(RemoteDisplayImpl rd)
                    throws RemoteException

  add a new RemoteDisplayImpl to server and extend array

  Throws:
    `RemoteException`

### setDisplays

    public void setDisplays(RemoteDisplayImpl[] rd)
                     throws RemoteException

  set all RemoteDisplayImpls to serve

  Throws:
    `RemoteException`

### removeDisplay

    public void removeDisplay(RemoteDisplayImpl rd)
                       throws RemoteException

  remove a RemoteDisplayImpl from server and shrink size of array

  Throws:
    `RemoteException`